Package dev.plex.util.minimessage

# Class SafeMiniMessage

java.lang.Object
dev.plex.util.minimessage.SafeMiniMessage

public class SafeMiniMessage extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`SafeMiniMessage.SafeMiniMessageTagResolver`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.kyori.adventure.text.minimessage.MiniMessage`
`MINI_MESSAGE`

## Constructor Summary

Constructors
Constructor
Description
`SafeMiniMessage()`

## Method Summary

Modifier and Type
Method
Description
`static net.kyori.adventure.text.Component`
`mmDeserialize(String text)`
`static net.kyori.adventure.text.Component`
`mmDeserializeWithoutEvents(String text)`
`static String`
`mmSerialize(net.kyori.adventure.text.Component component)`
`static String`
`mmSerializeWithoutEvents(net.kyori.adventure.text.Component component)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MINI_MESSAGE

public static final net.kyori.adventure.text.minimessage.MiniMessage MINI_MESSAGE

## Constructor Details

### SafeMiniMessage

public SafeMiniMessage()

## Method Details

### mmDeserialize

public static net.kyori.adventure.text.Component mmDeserialize(String text)

### mmDeserializeWithoutEvents

public static net.kyori.adventure.text.Component mmDeserializeWithoutEvents(String text)

### mmSerialize

public static String mmSerialize(net.kyori.adventure.text.Component component)

### mmSerializeWithoutEvents

public static String mmSerializeWithoutEvents(net.kyori.adventure.text.Component component)